package cn.com.qmth.scancentral.service;

import java.util.Collection;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;

import cn.com.qmth.scancentral.entity.ExamRoomEntity;
import cn.com.qmth.scancentral.vo.CampusVo;
import cn.com.qmth.scancentral.vo.ExamSiteVo;
import cn.com.qmth.scancentral.vo.examroom.ExamRoomScannedQuery;
import cn.com.qmth.scancentral.vo.examroom.ExamRoomScannedVo;

public interface ExamRoomService extends IService<ExamRoomEntity> {

    PageResult<ExamRoomScannedVo> examRoomScannedPage(ExamRoomScannedQuery query);

    void clearByExamAndSubject(Long examId, String subjectCode);

    void modifyByExamAndSubject(Long examId, String subjectCode);

    void modifyByStudentScan(ExamRoomScannedQuery query);

    List<CampusVo> listCampusByExamId(Long examId);

    List<ExamSiteVo> listExamSiteByExamId(Long examId);

    List<String> listProvinceByExamId(Long examId);

    List<String> listExamRoomByExamId(Long examId);

    Collection<ExamRoomScannedVo> examRoomScannedList(ExamRoomScannedQuery query);

}
